class Admin::ExperienceTypesController < OrbitMemberController
  before_action :allow_admin_only
  
  def new
    @experience_type = ExperienceType.new
    @url = admin_experience_types_path(@experience_type)
    render :layout=>false
  end

  def create
    @experience_type = ExperienceType.new(experience_type_params)
    @experience_type.save
    @experience_types = ExperienceType.all
    render :partial=>'list', :layout=>false
  end

  def update_order
    orders = params["order"]
    ExperienceType.each do |et|
      et.sort_position = orders["#{et.id}"]
      et.save
    end
    render :json => {"success" => true}.to_json
  end

  def edit
    @experience_type = ExperienceType.find(params[:id])
    @url = admin_experience_type_path(@experience_type)
    render :layout=>false
  end

  def update
    @experience_type = ExperienceType.find(params[:id])
    @experience_type.update_attributes(experience_type_params)
    @experience_type.save
    @experience_types = ExperienceType.all
    render :partial=>'list', :layout=>false
  end

  def destroy
    experience_type = ExperienceType.find(params[:id])
    experience_type.destroy
    @experience_types = ExperienceType.all
    render :partial=>'list', :layout=>false
  end

  private

  def experience_type_params
    params.require(:experience_type).permit! rescue nil
  end
end