Rails.application.routes.draw do
	locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
	scope "(:locale)", locale: Regexp.new(locales.join("|")) do
		namespace :admin do
      get 'experience_setting' => "experiences#setting"
      get 'experiences/download_excel_format' => 'experiences#excel_format'
      post 'experiences/import_from_excel' => 'experiences#import_from_excel'


      resources :experiences do
        collection do
          get 'toggle_hide' => 'experiences#toggle_hide'
          get 'analysis'
          get 'analysis_report'
          get "download_excel"
        end
      end

      resources :members do
        collection do
          scope '(:name-:uid)' do
            resources :experiences do
              collection do
                get 'frontend_setting' => 'experiences#frontend_setting'
                post 'update_frontend_setting' => 'experiences#update_frontend_setting'
              end
            end
          end
        end
      end
      
      resources :experience_types

      post "experience_types/update_order" => "experience_types#update_order"
		end
	end
end
